HP VAN SDN Controller SSLv3 POODLE cryptographic issues

CVSS Meta Temp Score
CVSS is a standardized scoring system to determine possibilities of attacks. The Temp Score considers temporal factors like disclosure, exploit and countermeasures. The unique Meta Score calculates the average score of different sources to provide a normalized scoring system.
Current Exploit Price (≈)
Our analysts are monitoring exploit markets and are in contact with vulnerability brokers. The range indicates the observed or calculated exploit price to be seen on exploit markets. A good indicator to understand the monetary effort required for and the popularity of an attack.
CTI Interest Score
Our Cyber Threat Intelligence team is monitoring different web sites, mailing lists, exploit markets and social media networks. The CTI Interest Score identifies the interest of attackers and the security community for this specific vulnerability in real-time. A high score indicates an elevated risk to be targeted for this vulnerability.
6.6$0-$5k0.00

A vulnerability classified as critical was found in HP VAN SDN Controller (the affected version is unknown). This vulnerability affects some unknown processing of the component SSLv3. The manipulation with an unknown input leads to a weak encryption vulnerability (POODLE). The CWE definition for the vulnerability is CWE-310. As an impact it is known to affect confidentiality, and integrity.

The weakness was disclosed 10/11/2016 by Krzysztof Kotowicz with Google Security Team as HPSBPV03516 as confirmed mailinglist post (Bugtraq). The advisory is available at seclists.org. This vulnerability was named CVE-2014-3566. The attack can be initiated remotely. No form of authentication is required for a successful exploitation. The technical details are unknown and an exploit is not available. This vulnerability is assigned to T1600 by the MITRE ATT&CK project.

It is declared as highly functional. The vulnerability scanner Nessus provides a plugin with the ID 79713 (Scientific Linux Security Update : nss, nss-util, and nss-softokn on SL5.x, SL6.x, SL7.x i386/x86_64 (POODLE)), which helps to determine the existence of the flaw in a target environment. It is assigned to the family Scientific Linux Local Security Checks and running in the context local. The commercial vulnerability scanner Qualys is able to test this issue with plugin 86129 (IBM WebSphere Application Server Multiple Vulnerabilities (swg21697368)-Deprecated).

Upgrading eliminates this vulnerability. It is possible to mitigate the problem by applying the configuration setting clientAuth="false" sslEnabledProtocols=" TLSv1.1,TLSv1.2". The best possible mitigation is suggested to be upgrading to the latest version. A possible mitigation has been published before and not just after the disclosure of the vulnerability.

The vulnerability is also documented in the vulnerability database at Tenable (79713). The entries 67791, 68695, 68795 and 68757 are pretty similar.

Productinfo

Vendor

Name

CPE 2.3info

CPE 2.2info

CVSSv3info

VulDB Meta Base Score: 6.8
VulDB Meta Temp Score: 6.6

VulDB Base Score: 6.8
VulDB Temp Score: 6.5
VulDB Vector: 🔍
VulDB Reliability: 🔍

NVD Base Score: 6.8
NVD Vector: 🔍

CVSSv2info

AVACAuCIA
🔍🔍🔍🔍🔍🔍
🔍🔍🔍🔍🔍🔍
🔍🔍🔍🔍🔍🔍
VectorComplexityAuthenticationConfidentialityIntegrityAvailability
unlockunlockunlockunlockunlockunlock
unlockunlockunlockunlockunlockunlock
unlockunlockunlockunlockunlockunlock

VulDB Base Score: 🔍
VulDB Temp Score: 🔍
VulDB Reliability: 🔍

NVD Base Score: 🔍

Exploitinginfo

Name: POODLE
Class: Weak encryption / POODLE
CWE: CWE-310
ATT&CK: T1600

Local: No
Remote: Yes

Availability: 🔍
Status: Highly functional

EPSS Score: 🔍
EPSS Percentile: 🔍

Price Prediction: 🔍
Current Price Estimation: 🔍

0-Dayunlockunlockunlockunlock
Todayunlockunlockunlockunlock

Nessus ID: 79713
Nessus Name: Scientific Linux Security Update : nss, nss-util, and nss-softokn on SL5.x, SL6.x, SL7.x i386/x86_64 (POODLE)
Nessus File: 🔍
Nessus Risk: 🔍
Nessus Family: 🔍
Nessus Context: 🔍

OpenVAS ID: 103283
OpenVAS Name: Oracle Linux Local Check: ELSA-2015-0067
OpenVAS File: 🔍
OpenVAS Family: 🔍

Qualys ID: 🔍
Qualys Name: 🔍

MetaSploit ID: ssl_version.rb
MetaSploit Name: HTTP SSL/TLS Version Detection (POODLE scanner)
MetaSploit File: 🔍

Threat Intelligenceinfo

Interest: 🔍
Active Actors: 🔍
Active APT Groups: 🔍

Countermeasuresinfo

Recommended: Upgrade
Status: 🔍
Config: clientAuth="false" sslEnabledProtocols=" TLSv1.1,TLSv1.2"
Suricata ID: 2019416
Suricata Class: 🔍
Suricata Message: 🔍

Timelineinfo

05/14/2014 🔍
10/14/2014 +153 days 🔍
10/14/2014 +0 days 🔍
12/02/2014 +49 days 🔍
12/04/2014 +2 days 🔍
10/11/2016 +677 days 🔍
10/13/2016 +2 days 🔍
09/23/2022 +2171 days 🔍

Sourcesinfo

Vendor: hp.com

Advisory: HPSBPV03516
Researcher: Krzysztof Kotowicz
Organization: Google Security Team
Status: Confirmed
Confirmation: 🔍

CVE: CVE-2014-3566 (🔍)
OVAL: 🔍

SecurityTracker: 1031029
SecurityFocus: 70574 - OpenSSL CVE-2014-3566 Man In The Middle Information Disclosure Vulnerability
Secunia: 59627

See also: 🔍

Entryinfo

Created: 10/13/2016 09:42 AM
Updated: 09/23/2022 10:18 AM
Changes: (4) vulnerability_cvss2_nvd_basescore vulnerability_cvss3_meta_tempscore source_cve_assigned source_sectracker
Complete: 🔍

Comments

No comments yet. Languages: en.

Please log in to comment.

Want to stay up to date on a daily basis?

Enable the mail alert feature now!